Skip to main content

Add Inbound Message

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.add_inbound_message

Manually add an inbound message to a conversation

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-add-inbound-message-example",
"method": "tools/call",
"params": {
"name": "ghl.add_inbound_message",
"arguments": {
"type": "SMS",
"conversationId": "conversationId_123",
"conversationProviderId": "conversationProviderId_123",
"tenantId": "tenantId_123",
"message": "message_example",
"attachments": [],
"html": "html_example",
"subject": "subject_example",
"emailFrom": "emailFrom_example",
"emailTo": "emailTo_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"SMS",
"Email",
"WhatsApp",
"GMB",
"IG",
"FB",
"Custom",
"WebChat",
"Live_Chat",
"Call"
]
},
"conversationId": {
"type": "string"
},
"conversationProviderId": {
"type": "string"
},
"message": {
"type": "string"
},
"attachments": {
"type": "array",
"items": {
"type": "string"
}
},
"html": {
"type": "string"
},
"subject": {
"type": "string"
},
"emailFrom": {
"type": "string"
},
"emailTo": {
"type": "string"
},
"emailCc": {
"type": "array",
"items": {
"type": "string"
}
},
"emailBcc": {
"type": "array",
"items": {
"type": "string"
}
},
"emailMessageId": {
"type": "string"
},
"altId": {
"type": "string"
},
"date": {
"type": "string"
},
"call": {
"type": "object",
"properties": {
"to": {
"type": "string"
},
"from": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"completed",
"answered",
"busy",
"no-answer",
"failed",
"canceled",
"voicemail"
]
}
}
}
},
"required": [
"type",
"conversationId",
"conversationProviderId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-add-inbound-message-example",
"method": "tools/call",
"params": {
"name": "ghl.add_inbound_message",
"arguments": {
"type": "SMS",
"conversationId": "conversationId_123",
"conversationProviderId": "conversationProviderId_123",
"tenantId": "tenantId_123",
"message": "message_example",
"attachments": [],
"html": "html_example",
"subject": "subject_example",
"emailFrom": "emailFrom_example",
"emailTo": "emailTo_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.add_inbound_message executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}